<%
  let paths, querys
  let args = []

  // params
  if (api.parameters) {
    paths = api.parameters.filter(p => p.in === "path")
    args = args.concat(paths.map(p => include("./parameter.ejs", {parameter: p})))
  }

  // body
  const existBody = api.requestBody && api.requestBody.content && api.requestBody.content["application/json"]
  if (existBody) {
    const json = api.requestBody.content["application/json"]
    args.push("body: " +  include("../__common/type/index.ejs", {propertie: json.schema, targetRef: null, options: {oneline: true}}))
  }

  // query
  if (api.parameters) {
    querys = api.parameters.filter(p => p.in === "query")
    if (querys.length > 0) {
      args.push("query: {" + querys.map(p => include("./parameter.ejs", {parameter: p}) ).join(", ") + "}")
    }
  }
%>
/* <%- api.summary %> */
export const <%- api.operationId %> = (<%- args.join(", ") %>): <%- include('./responses.ejs', {responses: api.responses}) %> => {
  return request({ url: <%- _.swagger.convertPath(pathStr, "ts") %>, method: '<%- httpMethod %>', <%- existBody ? "data: body" : "data: undefined" %>, <%- querys && querys.length > 0 ? "params: query" : "params: undefined" %> }) as any
}
